%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%define oname ppx_hash

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.17.0
Release:        %mkrel 1
Summary:        A ppx rewriter that generates hash functions from type expressions and definitions

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/ppx_hash
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppx_compare-devel >= 0.17
BuildRequires:  ocaml-ppx_sexp_conv-devel >= 0.17
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0
BuildRequires:  ocaml-ppxlib-jane-devel >= 0.17

%description
A ppx rewriter that generates hash functions from type expressions and definitions

Part of the Jane Street's PPX rewriters collection.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppx_compare-devel%{?_isa}
Requires:       ocaml-ppx_sexp_conv-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}
Requires:       ocaml-ppxlib-jane-devel%{?_isa}
Requires:       ocaml-sexplib0-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel



%changelog
* Thu Jun 19 2025 daviddavid <daviddavid> 1:0.17.0-1.mga10
+ Revision: 2192915
- new version: 0.17.0

* Sat Dec 10 2022 pterjan <pterjan> 1:0.15.0-4.mga9
+ Revision: 1920437
- Rebuild for new ppxlib

* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.0-3.mga9
+ Revision: 1895910
- Rebuild for new ocaml-base and ocaml-ppxlib

* Fri May 20 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859348
- Rebuild for OCaml 4.14

* Mon May 09 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1857245
- Update to 0.15.0

* Wed Oct 13 2021 tv <tv> 1:0.14.0-3.mga9
+ Revision: 1751333
- Fix deps

* Wed Oct 13 2021 tv <tv> 1:0.14.0-2.mga9
+ Revision: 1751303
- Rebuild for ocaml 4.13.1
- Fix devel deps

* Sat Mar 20 2021 tv <tv> 1:0.14.0-1.mga9
+ Revision: 1705152
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670816
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1551888
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1545877
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1485335
- rebuild for new ocaml-stdio

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483837
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.1-1.mga7
+ Revision: 1324714
- Update to 0.11.1

* Thu Aug 30 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1255660
- rebuild for new ocaml-result 1.3

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1241928
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Jan 15 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193506
- imported package ocaml-ppx_hash

